Bug 75878 - [BDW] GPU hang running Raytracer WebGL demo
Summary: [BDW] GPU hang running Raytracer WebGL demo
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 9.1
Hardware: Other All
: medium normal
Assignee: Kenneth Graunke
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-07 10:40 UTC by Timo Aaltonen
Modified: 2014-05-09 21:52 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments
error state (382.77 KB, text/plain)
2014-03-07 10:40 UTC, Timo Aaltonen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Timo Aaltonen 2014-03-07 10:40:58 UTC
Created attachment 95296 [details]
error state

running this demo results in firefox crashing and GPU hang/reset in dmesg:

http://people.mozilla.org/~sicking/webgl/ray.html

unigine-crypt does the same

running drm-intel-nightly from yesterday, mesa git master as of today
Comment 1 Kenneth Graunke 2014-03-17 15:52:23 UTC
I can confirm both of these hangs.  We have a couple of Piglit tests with very similar looking hangs as well.
Comment 2 commiethebeastie 2014-04-07 06:09:52 UTC
Linux kvm 3.13.0-20-generic #42-Ubuntu SMP Fri Mar 28 09:56:33 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop 
OpenGL core profile version string: 3.1 (Core Profile) Mesa 10.1.0
OpenGL core profile shading language version string: 1.40
OpenGL core profile context flags: (none)
OpenGL core profile extensions:

[ 7119.744742] [drm] stuck on render ring
[ 7119.744748] [drm] GPU crash dump saved to /sys/class/drm/card0/error
[ 7119.744749] [drm] GPU hangs can indicate a bug anywhere in the entire gfx stack, including userspace.
[ 7119.744750] [drm] Please file a _new_ bug report on bugs.freedesktop.org against DRI -> DRM/Intel
[ 7119.744751] [drm] drm/i915 developers can then reassign to the right component if it's not a kernel issue.
[ 7119.744752] [drm] The gpu crash dump is required to analyze gpu hangs, so please always attach it.
[ 7119.747933] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x3de17000 ctx 3) at 0x3de18140
[ 7125.764317] [drm] stuck on render ring
[ 7125.784470] [drm:i915_set_reset_status] *ERROR* render ring hung inside bo (0x28936000 ctx 1) at 0x289362c0
Comment 3 Kenneth Graunke 2014-05-08 23:45:02 UTC
Should be fixed by:
http://article.gmane.org/gmane.comp.video.mesa3d.devel/77713
Comment 4 Matt Turner 2014-05-09 00:43:57 UTC
(In reply to comment #2)
> Linux kvm 3.13.0-20-generic #42-Ubuntu SMP Fri Mar 28 09:56:33 UTC 2014
> x86_64 x86_64 x86_64 GNU/Linux
> 
> OpenGL vendor string: Intel Open Source Technology Center
> OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop 

Not related. Create a new bug.
Comment 5 Kenneth Graunke 2014-05-09 21:52:16 UTC
Fixed by:
commit 9584959123b0453cf5313722357e3abb9f736aa7
Author: Kenneth Graunke <kenneth@whitecape.org>
Date:   Thu May 8 16:44:37 2014 -0700

    i965: Fix GPU hangs on Broadwell in shaders with some control flow.
    
    According to the documentation, we need to set the source 0 register
    type to IMM for flow control instructions that have both JIP and UIP.
    
    Fixes GPU hangs in approximately 10 Piglit tests, 5 es3conform tests,
    Unigine Crypt, a WebGL raytracer demo, and several Steam titles.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.